<?
echo'<div class="event"><h1><a href="/?rice">История заездов</a></h1></div>';
if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `rice_start` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `rice_start` WHERE `id` = '".intval($_GET['edit'])."'"));
if($edit['one']>0)
{
echo'<div class="block"> 1 место: <img src="/rice/images/driver.png"> <a href="/?user='.$edit['one'].'">'.nc($edit['one']).'</a></div>';
}else
{
echo'<div class="block"> 1 место: Игрока нет.</div>';
}
if($edit['two']>0)
{
echo'<div class="block"> 2 место: <img src="/rice/images/driver.png"> <a href="/?user='.$edit['two'].'">'.nc($edit['two']).'</a></div>';
}else
{
echo'<div class="block"> 2 место: Игрока нет.</div>';
}
if($edit['three']>0)
{
echo'<div class="block"> 3 место: <img src="/rice/images/driver.png"> <a href="/?user='.$edit['three'].'">'.nc($edit['three']).'</a></div>';
}else
{
echo'<div class="block"> 3 место: Игрока нет.</div>';
}
include_once 'inc/foot.php';
}


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rice_start` WHERE `date` > '0'"),0);
if($k_post<1)
{
echo'<div class="block">Заезды еще не проводились</div>';
}
$set['p_str']=10;
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `rice_start`  WHERE `date` > '0' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<div class='block'>";
  echo "<img src='/rice/images/driver.png'>  <a href= '/?rice&history&edit=$post[id]'>Гонка от ".($post['date'])."</a></span></div>";
}
if ($k_page>1)str("?rice&history&",$k_page,$page); // Вывод страниц

echo "</div>";
include_once 'inc/foot.php';

?>